version 1.4.9 sur debian 10 buster (testing)

Bugs

Modérateur : xcasadmin

Cheval
Messages : 66
Inscription : mar. sept. 24, 2013 7:51 pm

version 1.4.9 sur debian 10 buster (testing)

Message par Cheval » ven. juin 21, 2019 2:13 pm

Bonjour, j'ai installé Xcas 1.4.9 sur une debian 10 testing : le pied, c'est dans les dépôts, donc ça s'installe tout seul.
Il y a juste un petit hic, les menus ne sont pas au complet, notamment ceux de la partie droite (tortue, 1 seul item, scolaire, vide, physique, vide) et d'autres aussi, qui sont très incomplets.
J'ai une 1.4.9-55 sur un vieux mac (osx32), ça marche nickel.
sachant que cette debian testing en est encore à un niveau de qualité très insuffisant (bien que figée...), le pb vient d'où, de la debian ou des paquets Xcas ?
D. Chevallier

parisse
Messages : 5055
Inscription : mar. déc. 20, 2005 4:02 pm
Contact :

Re: version 1.4.9 sur debian 10 buster (testing)

Message par parisse » ven. juin 21, 2019 2:53 pm

Peut-etre parce qu'une partie de la doc francaise ne satisfait pas aux conditions de licence debian, il faudrait regarder le contenu de /usr/share/giac/doc/fr
Il vaut peut-etre mieux installer une 1.5.0 depuis un .deb de mon site (ou compiler soi-meme). 1.4.9 ca commence a dater en particulier pour la compatibilite Python qui est maintenant meilleure.

Cheval
Messages : 66
Inscription : mar. sept. 24, 2013 7:51 pm

Re: version 1.4.9 sur debian 10 buster (testing)

Message par Cheval » ven. juin 21, 2019 5:52 pm

j'ai désinstallé la 1.4.9 depuis synaptic, et tenté le .deb de la 1.5.0-61 amd64 : il me dit "dépendance libjpeg8 non satisfaite (>=8c)"
j'aimais bien le principe de l'installation via synaptic, ça marche sans soucis.
J'avais galéré avec la debian 8, la 9, je n'ai pas pu installer Xcas (pareil, soucis de dépendance), reste la 10 qui marche très mal.
Après, perso, je peux vivre sans les menus, je en m'en sers pas… Je vais remettre la 1.4.9.
Mais bon, dommage pour les utilisateurs qui recherchent une installation sans galère.

parisse
Messages : 5055
Inscription : mar. déc. 20, 2005 4:02 pm
Contact :

Re: version 1.4.9 sur debian 10 buster (testing)

Message par parisse » sam. juin 22, 2019 4:52 am

Sinon, il est toujours possible de recopier les fichiers de /usr/share/giac/doc/fr quelque part, installer la version de testing et les remettre. La version sera toutefois une 1.4.9 et pas la toute derniere 1.5.0, mais ce n'est pas moi qui decide des mises a jour debian.
L'option de compiler soi-meme n'est pas difficile non plus.
Install rapide sous ubuntu/debian:
sudo apt-get install gcc g++ libgmp-dev libmpfr-dev libmpfi-dev libpari-dev libgsl0-dev libxext-dev libpng-dev libjpeg-dev libreadline-dev libncurses5-dev mesa-common-dev libx11-dev libxt-dev libxft-dev libntl-dev libgl1-mesa-dev libgl-dev libao-dev hevea debhelper libfltk1.3-dev
N.B. n'installez pas libfltk1.3-dev si vous voulez le compiler à la main (meilleur support impression Postscript). Notez que libpari-dev est parfois nomme libpari1-dev.
Vous pouvez optionnellement installer des versions plus récentes des logiciels listés ci-dessous à la main.
Puis faire ./mkdebian dans le répertoire de giac.

Cheval
Messages : 66
Inscription : mar. sept. 24, 2013 7:51 pm

Re: version 1.4.9 sur debian 10 buster (testing)

Message par Cheval » dim. juin 23, 2019 4:40 pm

je me suis contenté de recopier les 2 fichiers xcasmenu et xcasmenu~ dans le répertoire /usr/share/giac/doc/fr en les pêchant dans le même répertoire de la version 1.4.9 de mon mac : ça marche, j'ai les menus au complet, ça semble fonctionnel.
Par contre, il y a plein d'autres choses dans le dossier du mac qui manquent sur la debian, il doit y avoir d'autres fonctionnalités manquantes dans la version debian…

Merci pour l'aide !
D. Chevallier

parisse
Messages : 5055
Inscription : mar. déc. 20, 2005 4:02 pm
Contact :

Re: version 1.4.9 sur debian 10 buster (testing)

Message par parisse » lun. juin 24, 2019 7:10 pm

Il doit manquer toute la doc en francais j'imagine.

Répondre